Subject: bug#15703: [PATCH 1/8] EWW: Support user defined representation for checkbox.

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 Nov 2013 20:50:56 -0500

>>> Ah, OK, I see.  But it seems like kind of the same ideas, so maybe a
>>> generic facility would be useful... not a font-lock interaction, but for
>>> keeping the record of "this string maps to this Unicode symbol"?
>>> Basically a big hashtable with some user control.  Then
>>> `prettify-symbols-mode' could use that facility too.
SM> I think it'd be easier to go the other way around: provide an
SM> replacement to use if/when the display font doesn't provide a glyph for
SM> that characters.
> That doesn't help with drawing trees in Unicode, for example.

I think this case is quite different: none of the proposals so far can
handle it.  And I don't think it can be handled purely locally
(i.e. without knowing that those chars are put together to represent
a tree).

        Stefan